### Method

# EBackend UserPrompterServerExtension prompt

since: 3.8

#### Declaration [src]

    gboolean
    e_user_prompter_server_extension_prompt (
      EUserPrompterServerExtension* extension,
      gint prompt_id,
      const gchar* dialog_name,
      const ENamedParameters* parameters
    )

#### Description [src]

Instructs extension to show dialog `dialog_name`. If it cannot be found, or any error, then return `FALSE`. The caller can pass optional `parameters`, if `extension` uses any. Meaning of `parameters` is known only to the caller and to the dialog implementor, it’s not interpretted nor checked for correctness in any way in `EUserPrompterServer`. The only limitation of `parameters` is that the array elements are strings.

The `prompt_id` is used as an identificator of the prompt itself, and is used in `e_user_prompter_server_extension_response()` call, which finishes the prompt.

Note: The function call should not block main loop, it should just show dialog and return.

Available since: 3.8

#### Parameters

`prompt_id`

  Type: `gint`

  Prompt identificator, which is used in call to e_user_prompter_server_extension_response().

`dialog_name`

  Type: `const gchar*`

  Name of a dialog to run.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parameters`

  Type: `ENamedParameters`

  Optional extension parameters for the dialog, as passed by a caller.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether dialog was found and shown.